package com.ssj.service.course.service;

import com.ssj.bean.course.domain.CourseSeriesDetailFeedback;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.course.req.TeacherFeedbackReq;

import java.util.List;
import java.util.Map;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月19日 上午9:59:42 
 * 类说明 
 */
public interface CourseSeriesDetailFeedbackService extends BaseService<CourseSeriesDetailFeedback, String> {

	/**
	 * 获取系列课的拼接 
	* @param courseSeriesId
	* @return
	* 创建人：ZhangCaibao 
	* 2018年10月19日 上午10:45:59 
	* @List<Map<String,Object>>
	 */
	public List<Map<String,Object>>  getCourseFeedback(String courseSeriesId);
	public List<Map<String,Object>>  getCourseFeedback(String courseSeriesId, String libId);
	/**
	 * 获取系列课的平均分，总评数量
	* @param courseSeriesId
	* @return
	* 创建人：ZhangCaibao 
	* 2018年10月19日 上午11:07:42 
	* @Map<String,Object>
	 */
	public Map<String,Object> getCourseScore(String courseSeriesId);
	public Map<String,Object> getCourseScore(String courseSeriesId, String libId);
	
	/**
	 * 获取courseDetailsId的反馈数据
	 */
	CourseSeriesDetailFeedback getFeedbackByDetailsId(String courseDetailsId);
	public CourseSeriesDetailFeedback findyDetailIdAndVipId(String courseDetailId, String vipId);
	
	public void courseFeedbackSend(TeacherFeedbackReq req);
	public Map<String, Object> courseFeedbackPre(TeacherFeedbackReq req);
	
	public CourseSeriesDetailFeedback findyDetailIdAndLibFeedbackId(String libFeedbackId, String vipId);
	
	
}
